ODBCを間違えてインストールすると文字化けたのでメモっておく。
ODBCにはいくつか種類がある。
Connector/ODBC 3.51 Previous Generally Available (GA) releaseこっちなら大丈夫だが
Connector/ODBC 5.1Generally Available (GA)こっちだと文字化けた

バージョンが高いからついつい5.1を入れてしまったが3.51が正常に動いた。
覚えておこう。